import axios from "@/utils/request";

export function deviceCheckGenByPlanId(planId) {
    return axios(
        {
            url: `/udi/device/check/gen/${planId}`,
            method: "GET"
        }
    )
}

export function deviceCheckPage(query) {
    return axios(
        {
            url: `/udi/device/check/page`,
            method: "POST",
            data: query
        }
    )
}

export function deviceCheckPageByDept(query) {
    return axios(
        {
            url: `/udi/device/check/pageByDept`,
            method: "POST",
            data: query
        }
    )
}

export function deviceCheckPrint(taskId) {
    return axios(
        {
            url: `/udi/device/check/info/print/${taskId}`,
            method: "GET"
        }
    )
}

export function deviceCheckPrintByDeviceCode(taskId, deviceCode) {
    return axios(
        {
            url: `/udi/device/check/info/print/${taskId}/${deviceCode}`,
            method: "GET"
        }
    )
}

